USAGE:(1)

NAME
pytest-benchmark - Tool for inspecting data from pytest benchmark fixture

DESCRIPTION
pytest-benchmark [-h [COMMAND]] [--storage URI] [--netrc [NETRC]] [--verbose] {help, list or compare}

  commands:

help

    Display help and exit.

list

    List saved runs.

compare

    Compare saved runs.

    The compare command takes almost all the --benchmark options from the pytest benchmark fixture, minus the prefix. A complete list can be found in the documentation.

  optional arguments:

-h, --help
    show help message and exit

--verbose
    increase verbosity

--netrc

--storage

EXAMPLES

pytest-benchmark compare ‘Linux-CPython-3.5-64bit/*‘

    Loads all benchmarks ran with that interpreter. Note the special quoting that disables your shell’s glob expansion.

pytest-benchmark compare 0001

    Loads first run from all the interpreters.

pytest-benchmark compare /foo/bar/0001_abc.json /lorem/ipsum/0001_sir_dolor.json

    Loads runs from exactly those files.

COPYRIGHT
This manual page is Copyright © 2018 Hugo Lefeuvre <hle@debian.org>. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 or any later version published by the Free Software Foundation.